## hdf-eos5 5.1.16.dfsg.1

=== Makefile ===
#----------------------------------------------------------------------------
# file:         makefile for HDF-EOS5 (for internal ECS usage only)
#
# environment:  requires environment established by the ECS .buildrc file
# 
# environment variables dependencies:
#   MAKECMD  make command to be run on make files
#   ARCH     architecture (i.e. hardware/os type)
#
#
# author:  Guru Tej S. Khalsa / Space Applications Corp.
#          Abe Taaheri / Emergent Information Technologies, Inc.
#
# history:
#       10-Nov-1997 GTSK Initital version
#       11-Apr-2001 AT   modified for HDFEOS5 and HDF5
#       19-Jul-2001 DaW  Modified because it broke the Build
#       05-Apr-2004 AT   Modified for DAAC Linux Delivery
#       02-Feb-2013 AT   Modified for Toolkit Linux64 build in clearcase
#
#
# notes:
#       1) This file is only for use by ECS Configuration Management (CM)
#	   personnel and software.  This file should not be distributed
#	   as part of the standard HDF-EOS5 delivery.
#----------------------------------------------------------------------------

# define shell to be used (use ksh so we can use the "." command)

SHELL=/bin/ksh

# define MAKE to be equivalant to $(MAKECMD)

MAKE=$(MAKECMD)

# define the location of the HDF-EOS5 STAGE area

HE_STAGE=/ecs/formal/STAGE/hdfeos5

# define the location of the standard HDF-EOS5 development area

HE_HOME=/ecs/hdfeos5

# define HDF5 base directory

#HE_ENV=$(ARCH)

# define the location of tar files

TAR_HOME=$(HE_HOME)/install

HDF_BASE=/ecs/cots/hdf

# define current HDF version

CURRENT_HDF4=HDF4.2.10
CURRENT_HDF=hdf5-1.8.12
CURRENT_SZIP=szip-2.1

# define SDP Toolkit home directory

TK_HOME=/ecs/formal/TOOLKIT

# name of tar files for delivery
HDFEOS5_SOURCE_TAR=HDF-EOS5.1.16.tar
HDFEOS5_TESTDRIVERS_TAR=HDF-EOS5.1.16_TESTDRIVERS.tar

# define the default compiler optimization level
OPT_LVL=-g

# define default target

default:
	@echo "This file is for use by ECS Configuration Management processes only."

# define a target to build BOTH variations (or "flavors") of HDF-EOS5
# for a given "brand" (i.e. architecture type)

full: opt debug

# define a target to build the "debug" variation (or "flavor") of HDF-EOS5
# for a given "brand" (i.e. architecture type) ("debug" means the library
# will be compiled for use in a souce code debugger)

debug:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-g FLAVOR=$@

# define a target to build the "optimized" variation (or "flavor") of
# HDF-EOS5 for a given "brand" (i.e. architecture type) ("optimized" means the
# library will be optimized for execution speed by the compiler)

opt:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-O FLAVOR=$@

# define standard CM targets

# NOTE: The standard targets defined by ECS CM are:
#       BuildImake, ProductHs, ProductLibs, LastPass, Deliver
#
#       Here the above targets are shadowed by the targets:
#       BuildImake2, ProductHs2, ProductLibs2, LastPass2, Deliver2
#       respectively.  The original targets only call the target
#       HE_ENV which sets up the HDF-EOS5 environment and then
#       builds the shadow target.
#       For SGI 32 Falvor build or linux 12 Falvor build these targets
#       renamed to FL_......


BuildImake:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

BuildImake2:
	@echo "No Imakefile to build."

ProductHs:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductHs2:
	@echo "No header files to generate or promote."

ProductLibs: ProductLibs32 ProductLibs64

ProductLibs32:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductLibs322:
	@if [ ! -e $(HDFEOS5_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/lib;			\
		ln -s `basename $(HDFEOS5_LIB)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp5

ProductLibs64:
	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2

ProductLibs642:
	@if [ ! -e $(HDFEOS5_HOME)/lib/$(ARCH)64 ] ; then	\
		cd $(HDFEOS5_HOME)/lib;			\
		ln -s `basename $(HDFEOS5_LIB)` $(ARCH)64;\
	fi
	@cd $(HDFEOS5_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp5

LastPass:LastPass32 LastPass64

LastPass32:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

LastPass322:
	@if [ ! -e $(HDFEOS5_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/bin;			\
		ln -s `basename $(HDFEOS5_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/util; $(MAKE) $(MFLAGS) all

LastPass64:
	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2

LastPass642:
	@if [ ! -e $(HDFEOS5_HOME)/bin/$(ARCH)64 ] ; then	\
		cd $(HDFEOS5_HOME)/bin;			\
		ln -s `basename $(HDFEOS5_BIN)` $(ARCH)64;\
	fi
	@cd $(HDFEOS5_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."

FL_BuildImake:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_BuildImake2:
	@echo "No Imakefile to build."

FL_ProductHs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_ProductHs2:
	@echo "No header files to generate or promote."

FL_ProductLibs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_ProductLibs2:
	@if [ ! -e $(HDFEOS5_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/lib;			\
		ln -s `basename $(HDFEOS5_LIB)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp5

FL_LastPass:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_LastPass2:
	@if [ ! -e $(HDFEOS5_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS5_HOME)/bin;			\
		ln -s `basename $(HDFEOS5_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS5_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."



Deliver:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

Deliver2:
#	cp -rf /ecs/hdfeos/gctp .
#	chmod 0755 gctp/src/* gctp/include/*
	tar cvfX $(TAR_HOME)/$(HDFEOS5_SOURCE_TAR) $(HE_HOME)/make_exclude_list -C /ecs hdfeos5
	tar cvfX $(TAR_HOME)/$(HDFEOS5_TESTDRIVERS_TAR)  $(HE_HOME)/testdrivers/make_exclude_list -C /ecs  hdfeos5/testdrivers

DaacDeliver:
	@if [ $(ARCH) = "sgi6n32" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			    	    \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;							    \
	elif [ $(ARCH) = "irix65" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			            \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;                                                       \
	else								    \
		for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do		    \
			$(MAKECMD) full TARGET=$$targ;			    \
		done;							    \
	fi

LinuxDaacDeliver:  
	@if [ $(ARCH) = "linux" ] ; then				\
		for arch in linux ; do					\
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	\
			$(MAKECMD) full TARGET=$$targ ARCH=$$arch;	\
		done ;							\
		done ;							\
	fi



# this is a special target used to establish the HDF-EOS5 environment

FL_HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;			\
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;		\
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH) ;;  \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	postfix=""; 						\
	opt_flag=-O;						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	HDFEOS5_HOME=$(HE_HOME);				\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS5_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/$${brand}$$postfix/hdfeos_env.ksh;	\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDF5INC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDF5LIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDF5INC PGSINC SZIPINC SZIPLIB HDF5LIB;	\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/lib		\
	export HDFINC HDFLIB;					\
	$(MAKE) $(MFLAGS) $(TARGET)


HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;			\
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;		\
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH) ;;    \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	HDFEOS5_HOME=$(HE_HOME);				\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS5_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
	if [ $(ARCH) = "linux" ] ; then				\
	CC="gcc -m32";						\
	export CC;						\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	fi;							\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDF5INC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDF5LIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDF5INC PGSINC SZIPINC SZIPLIB HDF5LIB;	\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/lib		\
	export HDFINC HDFLIB;					\
	$(MAKE) $(MFLAGS) $(TARGET)

HE_ENV64:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;			\
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;		\
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux64; brand=$(ARCH)64 ;;\
		*)       brand=$(ARCH); ;;			\
	esac;							\
	HDFEOS5_HOME=$(HE_HOME);				\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS5_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
	if [ $(ARCH) = "linux" ] ; then				\
	CC="gcc -fPIC";						\
	export CC;						\
	LNX_COMP_FLAG="";					\
	export LNX_COMP_FLAG;					\
	fi;							\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDF5INC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDF5LIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDF5INC PGSINC SZIPINC SZIPLIB HDF5LIB;	\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF4)/lib		\
	export HDFINC HDFLIB;					\
	$(MAKE) $(MFLAGS) $(TARGET)

flavor_dir:
	@sgi_mode=sgi32;					\
	LNX_COMP_FLAG="-m32";			                \
	export LNX_COMP_FLAG;					\
	opt_flag=-O;						\
	postfix="";						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	case $(ARCH) in						\
		hp10)						\
			brand=hp;				\
		;;						\
		sgi6n32)					\
			brand=sgi32;				\
			sgi_mode=n32;				\
		;;						\
		irix65)                                         \
			brand=irix65;				\
			sgi_mode=65;				\
		;;						\
		sgi6)						\
			brand=sgi64;				\
			sgi_mode=64;				\
		;;						\
		sun5.5)						\
			brand=sun5;				\
		;;						\
		sun5.8)						\
			brand=sun5.8;				\
		;;						\
		*)						\
			brand=$(ARCH);				\
		;;						\
	esac;							\
	he_obj=$(HE_HOME)/obj/$${brand}$$postfix;		\
	he_lib=$(HE_HOME)/lib/$${brand}$$postfix;		\
	he_bin=$(HE_HOME)/bin/$${brand}$$postfix;		\
	tmpdir=$(HE_HOME)/bin/tmp;				\
	if [ ! -d $$he_obj ] ; then				\
		mkdir $$he_obj;					\
	fi;							\
	if [ ! -d $$he_lib ] ; then				\
		mkdir $$he_lib;					\
	fi;							\
	if [ ! -d $$he_bin ] ; then				\
		mkdir $$he_bin;					\
	fi;							\
	hdf5lib=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/lib;	\
	hdf5inc=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/include;	\
	sziplib=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	szipinc=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	if [ ! -f $$he_bin/hdfeos_env.csh ] ; then			\
		cd $$he_bin;						\
