=== testdrivers/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.10)
PROJECT (TESTDRIVERS C CXX)

ADD_SUBDIRECTORY (${TESTDRIVERS_SOURCE_DIR}/swath      ${TESTDRIVERS_BINARY_DIR}/swath)
ADD_SUBDIRECTORY (${TESTDRIVERS_SOURCE_DIR}/grid       ${TESTDRIVERS_BINARY_DIR}/grid)
ADD_SUBDIRECTORY (${TESTDRIVERS_SOURCE_DIR}/point      ${TESTDRIVERS_BINARY_DIR}/point)
ADD_SUBDIRECTORY (${TESTDRIVERS_SOURCE_DIR}/za         ${TESTDRIVERS_BINARY_DIR}/za)
IF (H5_HAVE_THREADSAFE)
  ADD_SUBDIRECTORY (${TESTDRIVERS_SOURCE_DIR}/threads    ${TESTDRIVERS_BINARY_DIR}/threads)
ENDIF (H5_HAVE_THREADSAFE)
