=== testdrivers/swath/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.10)
PROJECT (HDFEOS5_TESTDRIVERS_SWATH)

ADD_EXECUTABLE (testswath ${PROJECT_SOURCE_DIR}/TestSwath.c)
TARGET_NAMING (testswath ${LIB_TYPE})
TARGET_LINK_LIBRARIES (testswath ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})

IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  # make test dir
  FILE (MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")

  IF (F2CFORTRAN_32PTR)
    ADD_EXECUTABLE (testswath_f ${PROJECT_SOURCE_DIR}/testswath32.f)
  ELSE (F2CFORTRAN_32PTR)
    ADD_EXECUTABLE (testswath_f ${PROJECT_SOURCE_DIR}/testswath64.f)
  ENDIF (F2CFORTRAN_32PTR)
  TARGET_NAMING (testswath_f ${LIB_TYPE})
  TARGET_FORTRAN_WIN_PROPERTIES (testswath_f "")
  SET_TARGET_PROPERTIES (testswath_f PROPERTIES LINKER_LANGUAGE Fortran)
  TARGET_LINK_LIBRARIES (testswath_f ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})
ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  
##############################################################################
##############################################################################
###           T H E   T E S T S                                            ###
##############################################################################
##############################################################################
IF (BUILD_TESTING)

  ADD_TEST (NAME SWATH_test_c COMMAND $<TARGET_FILE:testswath>)

  ADD_TEST (NAME SWATH_test_c_verbose COMMAND $<TARGET_FILE:testswath> -v h)
  SET_TESTS_PROPERTIES (SWATH_test_c_verbose PROPERTIES DEPENDS SWATH_test_c)

  IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
    ADD_TEST (NAME SWATH_test_f COMMAND $<TARGET_FILE:testswath_f>)
    SET_TESTS_PROPERTIES (SWATH_test_f PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET_TESTS_PROPERTIES (SWATH_test_f PROPERTIES DEPENDS SWATH_test_c_verbose)
  ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)

ENDIF (BUILD_TESTING)
