=== debian/control ===
Source: hdf-eos5
Section: libs
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.5.0
Homepage: https://www.hdfeos.org
Vcs-Browser: https://salsa.debian.org:/science-team/hdf-eos5.git
Vcs-Git: https://salsa.debian.org:/science-team/hdf-eos5.git
Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  gfortran | fortran-compiler, 
  libhdf5-dev | libhdf5-mpi-dev, 
  libjpeg-dev, 
  libaec-dev,
  zlib1g-dev, 
  libtool, 
  libgctp-dev, 
  chrpath

Package: libhe5-hdfeos0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF5
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhe5-hdfeos-dev
Architecture: any
Section: libdevel
Depends: libhe5-hdfeos0 (= ${binary:Version}), ${misc:Depends}, libgctp-dev
Recommends: pkg-config
Description:  Development files for the HDF-EOS5 library
 HDF-EOS5 is a software library designed built on HDF5 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS5.
